Name:		libxml
Summary:	libXML library
Version:	1.8.17
Release:        9.3
Epoch:		1
License:	LGPL
Group:		Development/Libraries
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root

URL:		http://rpmfind.net/veillard/XML/
Prereq:		/sbin/install-info
Patch0:		CAN-2004-0110.patch
Patch1:         ficora-245608.patch

%description
This library allows you to manipulate XML files.

%package devel
Summary: Libraries, includes, etc to develop libxml applications
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}

%description devel
Libraries, include files, etc you can use to develop libxml applications.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%configure
make

%install
rm -fr %{buildroot}

%makeinstall

#
# another hack to get /usr/include/gnome-xml/libxml/
#
if [ -d $RPM_BUILD_ROOT/%{prefix}/include/gnome-xml ]
then
    (cd $RPM_BUILD_ROOT/%{prefix}/include/gnome-xml ; ln -sf . libxml)
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/*
%{_bindir}/*
%{_datadir}/gnome-xml/*
%{_libdir}/pkgconfig/libxml.pc


%changelog
* Tue Aug  4 2009 Daniel Veillard <veillard@redhat.com> 1:1.8.17-9.3
- fix a couple of crash
- Resolves: rhbg#515226

* Wed Nov 17 2004 Daniel Veillard <veillard@redhat.com> 1:1.8.17-9.2
- Added patch for CAN-2004-0110 and CAN-2004-0989 fixing security bug 139090

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 1:1.8.17-9.1
- build for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 19 2003 Daniel Veillard <veillard@redhat.com> 1.8.17-7
- apparently there was an old 1.8.17-6 laying around

* Tue Jan 14 2003 Daniel Veillard <veillard@redhat.com> 1.8.17-6
- cleaned up the spec file, rebuild for RawHide

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan 28 2002 Daniel Veillard <veillard@redhat.com>
- updated to 1.8.17
- made sure the Epoch is set

* Sun Aug 05 2001 Jens Finke <jens@triq.net>
- Merged GPP spec file with spec.in file from CVS.
- Added {_datadir}/gnome-xml to devel package to include
documentation.
- Added libxml.pc file.

* Wed Jul 18 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- removed unncessary %defines 
- made %setup -quiet
- fixed buildroot
- fixed source line

* Thu Feb 22 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fixed macros, removed hard-coded paths, that sort of thing.

* Thu Sep 23 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- corrected the spec file alpha stuff
- switched to version 1.7.1
- Added validation, XPath, nanohttp, removed memory leaks
- Renamed CHAR to xmlChar

* Wed Jun  2 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Switched to version 1.1: SAX extensions, better entities support, lots of
  bug fixes.

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30
